Skip to content

# Interface: KubeObjectListLayoutProps<K>

Renderer.Component.KubeObjectListLayoutProps

## Type parameters

Name | Type
--- | ---
`K` | `K`: KubeObject

## Hierarchy

- `ItemListLayoutProps`<K>

↳ KubeObjectListLayoutProps

## Table of contents

### Properties

- addRemoveButtons
- className
- copyClassNameFromHeadCells
- customizeHeader
- customizeRemoveDialog
- customizeTableRowProps
- dependentStores
- detailsItem
- filterCallbacks
- filterItems
- hasDetailsView
- headerClassName
- hideFilters
- isConfigurable
- isReady
- isSelectable
- items
- onDetails
- preloadStores
- renderFooter
- renderHeaderTitle
- renderItemMenu
- renderTableContents
- renderTableHeader
- searchFilters
- showHeader
- sortingCallbacks
- store
- tableId
- tableProps
- virtual

## Properties

### addRemoveButtons

• `Optional` addRemoveButtons: `Partial`<AddRemoveButtonsProps>

#### Inherited from

ItemListLayoutProps.addRemoveButtons

### className

• className: `IClassName`

#### Inherited from

ItemListLayoutProps.className

### copyClassNameFromHeadCells

• `Optional` copyClassNameFromHeadCells: `boolean`

#### Inherited from

ItemListLayoutProps.copyClassNameFromHeadCells

### customizeHeader

• `Optional` customizeHeader: `HeaderCustomizer` | `HeaderCustomizer`[]

#### Inherited from

ItemListLayoutProps.customizeHeader

### customizeRemoveDialog

• `Optional` customizeRemoveDialog: (`selectedItems`: `K`[]) => `Partial`<ConfirmDialogParams>

#### Type declaration

▸ (`selectedItems`): `Partial`<ConfirmDialogParams>

##### Parameters

Name | Type
--- | ---
`selectedItems` | `K`[]

##### Returns

`Partial`<ConfirmDialogParams>

#### Inherited from

ItemListLayoutProps.customizeRemoveDialog

### customizeTableRowProps

• `Optional` customizeTableRowProps: (`item`: `K`) => `Partial`<TableRowProps>

#### Type declaration

▸ (`item`): `Partial`<TableRowProps>

##### Parameters

Name | Type
--- | ---
`item` | `K`

##### Returns

`Partial`<TableRowProps>

#### Inherited from

ItemListLayoutProps.customizeTableRowProps

### dependentStores

• `Optional` dependentStores: KubeObjectStore<KubeObject<KubeObjectMetadata, any, any>>[]

#### Overrides

ItemListLayoutProps.dependentStores

### detailsItem

• `Optional` detailsItem: `K`

#### Inherited from

ItemListLayoutProps.detailsItem

### filterCallbacks

• `Optional` filterCallbacks: `ItemsFilters`<K>

#### Inherited from

ItemListLayoutProps.filterCallbacks

### filterItems

• `Optional` filterItems: `ItemsFilter`<K>[]

`deprecated`

#### Inherited from

ItemListLayoutProps.filterItems

### hasDetailsView

• `Optional` hasDetailsView: `boolean`

#### Inherited from

ItemListLayoutProps.hasDetailsView

### headerClassName

• `Optional` headerClassName: `IClassName`

#### Inherited from

ItemListLayoutProps.headerClassName

### hideFilters

• `Optional` hideFilters: `boolean`

#### Inherited from

ItemListLayoutProps.hideFilters

### isConfigurable

• `Optional` isConfigurable: `boolean`

#### Inherited from

ItemListLayoutProps.isConfigurable

### isReady

• `Optional` isReady: `boolean`

#### Inherited from

ItemListLayoutProps.isReady

### isSelectable

• `Optional` isSelectable: `boolean`

#### Inherited from

ItemListLayoutProps.isSelectable

### items

• `Optional` items: `K`[]

#### Inherited from

ItemListLayoutProps.items

### onDetails

• `Optional` onDetails: (`item`: `K`) => `void`

#### Type declaration

▸ (`item`): `void`

##### Parameters

Name | Type
--- | ---
`item` | `K`

##### Returns

`void`

#### Inherited from

ItemListLayoutProps.onDetails

### preloadStores

• `Optional` preloadStores: `boolean`

#### Inherited from

ItemListLayoutProps.preloadStores

### renderFooter

• `Optional` renderFooter: (`parent`: `ItemListLayout`) => `ReactNode`

#### Type declaration

▸ (`parent`): `ReactNode`

##### Parameters

Name | Type
--- | ---
`parent` | `ItemListLayout`<K>

##### Returns

`ReactNode`

#### Inherited from

ItemListLayoutProps.renderFooter

### renderHeaderTitle

• `Optional` renderHeaderTitle: `ReactNode` | (`parent`: `ItemListLayout`) => `ReactNode`

#### Inherited from

ItemListLayoutProps.renderHeaderTitle

### renderItemMenu

• `Optional` renderItemMenu: (`item`: `K`, `store`: `ItemStore`) => `ReactNode`

#### Type declaration

▸ (`item`, `store`): `ReactNode`

##### Parameters

Name | Type
--- | ---
`item` | `K`
`store` | `ItemStore`<K>

##### Returns

`ReactNode`

#### Inherited from

ItemListLayoutProps.renderItemMenu

### renderTableContents

• renderTableContents: (`item`: `K`) => (`ReactNode` | TableCellProps)[]

#### Type declaration

▸ (`item`): (`ReactNode` | TableCellProps)[]

##### Parameters

Name | Type
--- | ---
`item` | `K`

##### Returns

(`ReactNode` | TableCellProps)[]

#### Inherited from

ItemListLayoutProps.renderTableContents

### renderTableHeader

• renderTableHeader: TableCellProps[]

#### Inherited from

ItemListLayoutProps.renderTableHeader

### searchFilters

• `Optional` searchFilters: `SearchFilter`<K>[]

#### Inherited from

ItemListLayoutProps.searchFilters

### showHeader

• `Optional` showHeader: `boolean`

#### Inherited from

ItemListLayoutProps.showHeader

### sortingCallbacks

• `Optional` sortingCallbacks: TableSortCallbacks<K>

#### Inherited from

ItemListLayoutProps.sortingCallbacks

### store

• store: KubeObjectStore<K>

#### Overrides

ItemListLayoutProps.store

### tableId

• `Optional` tableId: `string`

#### Inherited from

ItemListLayoutProps.tableId

### tableProps

• `Optional` tableProps: `Partial`<TableProps<K>>

#### Inherited from

ItemListLayoutProps.tableProps

### virtual

• `Optional` virtual: `boolean`

#### Inherited from

ItemListLayoutProps.virtual